Create Theme

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/theme

A theme for your dashboards, belonging to your organization.

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized name of the theme.

theme OBJECT
type STRING
background STRING
itemsBackground STRING
boxShadow OBJECT
title OBJECT
borders OBJECT
margins ARRAY[INTEGER]
mainColor STRING
axis OBJECT
legend OBJECT
tooltip OBJECT
colors ARRAY[STRING]
font OBJECT
editBackground STRING
editDarkOrLight STRING
darkOrLight STRING
name STRING
created_at DATETIME

RFC 3339 date time string indicating when the resource was created

updated_at DATETIME

RFC 3339 date time string indicating when the resource was last updated

deleted_at DATETIME

A ISO date time string format

organization_id STRING

ID of the organization this theme belongs to.

Can be executed by:
Organization Member
Can be associated to:
defaultTheme
Organization
Authorizations
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "name": {
    "en": "Ecstasy"
  },
  "theme": {
    "type": "custom",
    "background": "rgb(220,203,196)",
    "itemsBackground": "rgba(255,255,255,0.54)",
    "boxShadow": {
      "size": "none",
      "color": "rgb(0,0,0)"
    },
    "title": {
      "align": "left",
      "bold": true,
      "italic": true,
      "underline": false,
      "border": true
    },
    "colors": [
      "rgb(89,116,153)",
      "rgb(131,144,170)",
      "rgb(99,106,121)",
      "rgb(194,198,206",
      "rgb(218,230,245)",
      "rgb(157,186,245)",
      "rgb(89,134,227)",
      "rgb(9,66,184)",
      "rgb(1,20,59)",
      "rgb(202,218,252)",
      "#95E88C",
      "#C1F3B7",
      "#685AC2",
      "#958FD3",
      "#B4B6E4",
      "#D7D7EF",
      "#636363",
      "#969696",
      "#BDBDBD",
      "#D9D9D9"
    ]
  },
  "id": "f0dffc3d-2d67-41c7-8140-e3ad725f8459",
  "updated_at": "2024-03-22T11:16:26.773Z",
  "created_at": "2024-03-22T11:16:26.767Z",
  "deleted_at": null,
  "organization_id": "dcaa2146-aee0-4fff-8568-b3864942ad2c"
}